# $Revision: 1.44 $, $Date: 2008-03-12 01:17:32 $
Summary:	Econometric analysis
Summary(pl.UTF-8):	Analiza ekonometryczna
Name:		gretl
Version:	1.2.4
Release:	12
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/gretl/%{name}-%{version}.tar.bz2
# Source0-md5:	31dcf07b52f88cab71f8aa11aec992c0
# files missing from 1.2.4 distribution (taken from CVS)
Source1:	%{name}-doc-commands.tar.bz2
# Source1-md5:	45716104288ad81061697757e6acd1de
Patch0:		%{name}-use_terminfo_not_termcap.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-checks.patch
Patch4:		%{name}-dirs.patch
Patch5:		%{name}-configure_in.patch
Patch6:		%{name}-buffer_overflow.patch
Patch7:		%{name}-libxslt-1.1.15.patch
URL:		http://gretl.sourceforge.net/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel >= 4.0.1
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	gtksourceview-devel
BuildRequires:	lapack-devel
BuildRequires:	libgnomeprintui-devel >= 2.2
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.5.0
BuildRequires:	libxslt-devel >= 1.0.30
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
Requires(post):	/usr/bin/scrollkeeper-update
Requires(post):	GConf2
Requires:	%{name}-lib = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It is a software package for econometric analysis, written in the C
programming language. Comprises a shared library, a command-line
client program, and a graphical client built using GTK+. Gretl calls
gnuplot to generate graphs. Contains sample data files, like those
from W. Greene.

%description -l pl.UTF-8
To jest pakiet do analizy ekonometrycznej. Zawiera bibliotekę,
narzędzie działające z linii poleceń i graficznego klienta opartego na
GTK+. Gretl używa gnuplota do generowania wykresów. Zawiera też 
przykładowe pliki z danymi, min. dane z książki W. Greena.

%package lib
Summary:	Gretl Libraries
Summary(pl.UTF-8):	Biblioteki Gretl
Group:		Libraries

%description lib
Libraries for Gretl. See gretl package description.

%description lib -l pl.UTF-8
Biblioteki Gretl.

%package devel
Summary:	Gretl header files
Summary(pl.UTF-8):	Pliki nagłówkowe Gretl
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}

%description devel
Package contains header files for building gretl-based software. See
gretl package description.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania programów bazujących na gretl.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
# these seds belong with patch7
sed 's/$hlp/cli/' doc/commands/gretltxt.xsl>doc/commands/gretltxt_cli.xsl
sed 's/$hlp/gui/' doc/commands/gretltxt.xsl>doc/commands/gretltxt_gui.xsl

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%configure \
	GNUPLOT=/usr/bin/gnuplot \
	GNUPLOT_PNG=yes \
	LATEX=/usr/bin/latex
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# gretl-config is not installed with gtk+2 builds
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gretl-config.1*

# plugins are dlopened by *.so
rm -f $RPM_BUILD_ROOT%{_libdir}/gretl-gtk2/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
%gconf_schema_install

%postun	-p /usr/bin/scrollkeeper-update

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog EXTENDING NEWS README TODO doc/{figures,manual.html}
%attr(755,root,root) %{_bindir}/gretl
%attr(755,root,root) %{_bindir}/gretlcli
%attr(755,root,root) %{_bindir}/gretl_x11
%dir %{_libdir}/gretl-gtk2
%attr(755,root,root) %{_libdir}/gretl-gtk2/*.so
%{_datadir}/gretl
%{_datadir}/gtksourceview-*/language-specs/*.lang
%{_datadir}/mime-info/gretl.*
%{_omf_dest_dir}/gretl
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_pixmapsdir}/*.xpm
%{_sysconfdir}/gconf/schemas/*.schemas
%{_mandir}/man1/gretl.1*

%files lib
%defattr(644,root,root,755)
%{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gretl
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gretl.spec,v $
Revision 1.44  2008-03-12 01:17:32  glen
- release 12

Revision 1.43  2007-02-13 07:16:47  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.41  2005/11/16 19:30:50  qboosh
- working Source0 URL

Revision 1.40  2005/09/21 16:29:43  saq
- libxslt-1.1.15.patch: quick workaround for building with the newest lib
- rel 11

Revision 1.39  2005/09/21 12:10:38  saq
- buffer_overflow.patch to work around a build-time one
- rel 10

Revision 1.38  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.37  2005/05/28 23:43:40  ankry
- missing BRs, rel. 8

Revision 1.36  2005/05/27 14:38:34  ankry
- fixed typo in configure.in, no BR: gnuplot

Revision 1.35  2005/04/09 09:47:13  adamg
- BuildRequires: gnuplot

Revision 1.34  2005/04/09 08:14:09  adamg
- release 6 (rebuild with new libhowl)

Revision 1.33  2004/12/03 14:06:50  paladine
- rel 5 for fixed desktop patch

Revision 1.32  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.31  2004/09/20 08:28:05  ankry
- desktop fixes, rel. 4

Revision 1.30  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.29  2004/07/28 07:30:18  qboosh
- release 3

Revision 1.28  2004/07/28 07:29:48  qboosh
- fixed R(post)

Revision 1.27  2004/03/30 08:28:45  qboosh
- one more fix in dirs patch, release 2

Revision 1.26  2004/03/29 15:37:52  qboosh
- pl fix

Revision 1.25  2004/03/29 15:37:17  qboosh
- updated to 1.2.4 (for GTK+ 2.x), updated patches etc.
- some files are missing from tarball - added as Source1

Revision 1.24  2004/03/28 01:25:14  qboosh
- proper aux dir

Revision 1.23  2004/03/28 01:24:45  qboosh
- refresh config.sub for amd64
- switched to desktopdir

Revision 1.22  2003/05/28 12:59:01  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:48:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/12/10 08:37:02  roman
- added gretl.desktop to Scientific applnk subdir and gretl.xpm to pixmaps dir
- changed release number from 1 to 2

Revision 1.19  2002/11/27 20:15:44  juandon
- new %%doc

Revision 1.18  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/04/25 16:30:05  arturs
fixed a small typo

Revision 1.16  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/17 16:21:01  kloczek
- simplifications and cosmetics.

Revision 1.12  2001/11/17 15:38:12  yascool
- perl expression removed and it's functionality added to gretl-DESTDIR2.patch

Revision 1.11  2001/11/17 12:24:46  yascool
- added DESTDIR2 patch

Revision 1.10  2001/11/13 14:41:58  saq
- proper fix of /usr/local/share implied path

Revision 1.9  2001/11/12 17:15:20  saq
- split the libs between -lib and -devel

Revision 1.8  2001/11/12 17:06:36  saq
- missing buildreqs added
- proper make install (via DESTDIR.patch)
- adapterized

Revision 1.7  2001/11/12 14:19:44  fastviper
- create symlink during %post, because gretl thinks helpfiles are in /usr/local/share/gretl

Revision 1.6  2001/11/12 14:12:24  fastviper
- moved gretl-config to gretl-devel package
- fixed typo in %patch2

Revision 1.5  2001/11/12 13:55:28  fastviper
- now using terminfo (-ltinfo)
- some tests in configure were overriden, since weren't working properly
- moved X11 binaries to /usr/X11R6/bin and fixed gretl starting scipt
- added info about examples in package

Revision 1.4  2001/11/12 09:17:42  qboosh
- more cleanups and fixes, pl translations, added /usr/include/gretl dir to -devel

Revision 1.3  2001/11/12 07:56:03  saq
- cleanups
- don't force /usr/man (not FHS compatible)
- don't include man1/ in the package
- gzip the docs
- use %%configure
- adapterized

Revision 1.2  2001/11/12 00:14:51  fastviper
- removed all lame hacks, now using %makeinstall

Revision 1.1  2001/11/11 21:28:35  fastviper
- need to rewrite %install section and throw away lame hacks
- created this spec from scratch
